# CLcdView Class Reference

`#import <CLcdView.h>`

Collaboration diagram for CLcdView:
[legend]

## Public Member Functions
(void) | - setCLcd:
(void) | - periodicUpdate
(unsigned) | - getLcdSizeX
(unsigned) | - getLcdSizeY
() | - CLcdView
() | - ~CLcdView
(int) | - lcdData
(int) | - lcdCmd
(void) | - lcdClear
(void) | - lcdPrintChar
(void) | - lcdPrintString
(void) | - lcdSpecialCharInit
(void) | - lcdSpecialCharsInit
(void) | - setLcdBColor
(void) | - setLcdFColor
(int) | - getLcdColumns
(void) | - setLcdColumns
(int) | - getLcdLines
(void) | - setLcdLines
(int) | - getLcdCharWidth
(void) | - setLcdCharWidth
(int) | - getLcdCharHeight
(void) | - setLcdCharHeight
(int) | - getLcdOffsetColumns
(void) | - setLcdOffsetColumns
(int) | - getLcdOffsetLines
(void) | - setLcdOffsetLines
(int) | - getLcdPixelX
(void) | - setLcdPixelX
(int) | - getLcdPixelY
(void) | - setLcdPixelY
(int) | - getLcdBorder
(void) | - setLcdBorder
(int) | - getLcdCursorX
(void) | - setLcdCursorX
(int) | - getLcdCursorY
(void) | - setLcdCursorY
(int) | - getLcdOriginX
(void) | - setLcdOriginX
(int) | - getLcdOriginY
(void) | - setLcdOriginY
(int) | - getLcdSizeX
(int) | - getLcdSizeY
(void) | - paint
(void) | - setCLcd:
(void) | - periodicUpdate
(unsigned) | - getLcdSizeX
(unsigned) | - getLcdSizeY
## Protected Attributes
CLcd * | cLcd
unsigned | lcdCharWidth
unsigned | lcdCharHeight
unsigned | lcdOffsetColumns
unsigned | lcdOffsetLines
unsigned | lcdPixelX
unsigned | lcdPixelY
unsigned | lcdBorderX
unsigned | lcdBorderY

## Constructor & Destructor Documentation

- CLcdView: |  | (unsigned) | originx
|  | (unsigned) | originy |

Constructor

Here is the call graph for this function:

- CLcdView: |  | (void) |  |  |

Destructor

## Member Function Documentation

- (int) getLcdBorder |  | (void) |  |  |

- (int) getLcdCharHeight |  | (void) |  |  |

- (int) getLcdCharWidth |  | (void) |  |  |

- (int) getLcdColumns |  | (void) |  |  |

- (int) getLcdCursorX |  | (void) |  |  |

- (int) getLcdCursorY |  | (void) |  |  |

- (int) getLcdLines |  | (void) |  |  |

- (int) getLcdOffsetColumns |  | (void) |  |  |

- (int) getLcdOffsetLines |  | (void) |  |  |

- (int) getLcdOriginX |  | (void) |  |  |

- (int) getLcdOriginY |  | (void) |  |  |

- (int) getLcdPixelX |  | (void) |  |  |

- (int) getLcdPixelY |  | (void) |  |  |

- (unsigned) getLcdSizeX |  |  |  |

- (int) getLcdSizeX |  | (void) |  |  |

- (unsigned) getLcdSizeX |  | (void) |  |  |

- (unsigned) getLcdSizeY |  |  |  |

- (int) getLcdSizeY |  | (void) |  |  |

- (unsigned) getLcdSizeY |  | (void) |  |  |

- (void) lcdClear |  | (void) |  |  |

Here is the call graph for this function:

- (int) lcdCmd |  | (unsigned char) | cmd |  |

Here is the call graph for this function:

- (int) lcdData |  | (unsigned char) | data |  |

Here is the call graph for this function:

- (void) lcdPrintChar |  | (unsigned char) | c |  |

- (void) lcdPrintString |  | (const char *) | str |  |

Here is the call graph for this function:

- (void) lcdSpecialCharInit |  | (unsigned char) | num
|  | (unsigned char *) | table |

- (void) lcdSpecialCharsInit |  | (unsigned char *) | table |  |

- (void) paint |  | (Graphics &) | g |  |

Here is the call graph for this function:

- (void) periodicUpdate |  |  |  |

- (void) periodicUpdate |  |  |  |

Here is the call graph for this function:

- (void) setCLcd: |  | (CLcd *) | _cLcd |  |

- (void) setCLcd: |  | (CLcd*) | _cLcd |  |

- (void) setLcdBColor |  | (unsigned char) | r
|  | (unsigned char) | g
|  | (unsigned char) | b |

- (void) setLcdBorder |  | (int) | num |  |

- (void) setLcdCharHeight |  | (int) | num |  |

- (void) setLcdCharWidth |  | (int) | num |  |

- (void) setLcdColumns |  | (int) | num |  |

- (void) setLcdCursorX |  | (int) | num |  |

- (void) setLcdCursorY |  | (int) | num |  |

- (void) setLcdFColor |  | (unsigned char) | r
|  | (unsigned char) | g
|  | (unsigned char) | b |

- (void) setLcdLines |  | (int) | num |  |

- (void) setLcdOffsetColumns |  | (int) | num |  |

- (void) setLcdOffsetLines |  | (int) | num |  |

- (void) setLcdOriginX |  | (int) | num |  |

- (void) setLcdOriginY |  | (int) | num |  |

- (void) setLcdPixelX |  | (int) | num |  |

- (void) setLcdPixelY |  | (int) | num |  |

## Field Documentation

- (CLcd *) cLcd`[protected]`

- (unsigned) lcdBorderX`[protected]`

- (unsigned) lcdBorderY`[protected]`

- (unsigned) lcdCharHeight`[protected]`

- (unsigned) lcdCharWidth`[protected]`

- (unsigned) lcdOffsetColumns`[protected]`

- (unsigned) lcdOffsetLines`[protected]`

- (unsigned) lcdPixelX`[protected]`

- (unsigned) lcdPixelY`[protected]`

The documentation for this class was generated from the following files:

- modules/app_lcd/ipad/CLcdView.h
- modules/app_lcd/juce/CLCDView.h
- modules/app_lcd/macos/CLcdView.h
- modules/app_lcd/ipad/CLcdView.mm
- modules/app_lcd/juce/CLCDView.cpp
- modules/app_lcd/macos/CLcdView.mm